> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View all designations



## OpenAPI

````yaml get /admin/designations
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/designations:
    get:
      tags:
        - Designation
      summary: View all designations
      operationId: 752d559813d64e93279758006bd28545
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  designations:
                    type: array
                    items:
                      properties:
                        id:
                          description: The ID of the designation
                          type: integer
                        client_id:
                          description: The ID of the client
                          type: integer
                        emailset_id:
                          type: integer
                        hysforms:
                          type: string
                        code:
                          type: string
                        name:
                          description: The name of the designation
                          type: string
                        info:
                          type: string
                        donation_amounts:
                          type: string
                      type: object
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Bad request
                type: object
        '404':
          description: Not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Not found
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````